<?php

namespace humhub\modules\cfiles\models;

use Yii;

/**
 * ConfigureForm defines the configurable fields.
 *
 * @package humhub\modules\cfiles\models
 * @author Sebastian Stumpf
 */
class ConfigureForm extends \yii\base\Model
{

    public $disableZipSupport;

    public function init()
    {
        $this->disableZipSupport = !Yii::$app->getModule('cfiles')->isZipSupportEnabled();
        parent::init();
    }

    /**
     * Declares the validation rules.
     */
    public function rules()
    {
        return [
            ['disableZipSupport', 'boolean'],
        ];
    }

    /**
     * Declares customized attribute labels.
     * If not declared here, an attribute would have a label that is
     * the same as its name with the first letter in upper case.
     */
    public function attributeLabels()
    {
        return [
            'disableZipSupport' => Yii::t('CfilesModule.base', 'Disable archive (ZIP) support'),
        ];
    }

    public function save()
    {
        if(!$this->validate()) {
            return false;
        }

        Yii::$app->getModule('cfiles')->settings->set('disableZipSupport', $this->disableZipSupport);
        return true;
    }

}
